Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 198369 - Package gnome-netstatus lacks IPv6 support
Summary: Package gnome-netstatus lacks IPv6 support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-netstatus
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vivek Shah
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 161216 IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:18 UTC by Peter Vrabec
Modified: 2010-06-28 10:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 10:22:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 138390 None None None Never

Description Peter Vrabec 2006-07-11 10:18:11 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/gnome-netstatus-2.12.0/src/netstatus-sysdeps.c:411:  s = socket (AF_INET, SOCK_DGRAM, 0);
/gnome-netstatus-2.12.0/src/netstatus-iface.c:437:  if ((fd = socket (AF_INET, SOCK_DGRAM, 0)) < 0)
/gnome-netstatus-2.12.0/src/netstatus-iface.c:703:  if ((fd = socket (AF_INET, SOCK_DGRAM, 0)) < 0)
/gnome-netstatus-2.12.0/src/netstatus-iface.c:705:      g_warning (G_STRLOC ": unable to open AF_INET socket: %s\n",
/gnome-netstatus-2.12.0/src/netstatus-iface.c:710:  if_req.ifr_addr.sa_family = AF_INET;
/gnome-netstatus-2.12.0/src/netstatus-iface.c:1039:  if ((fd = socket (AF_INET, SOCK_DGRAM, 0)) < 0)
/gnome-netstatus-2.12.0/src/netstatus-iface.c:1041:      g_warning (G_STRLOC ": unable to open AF_INET socket: %s\n",
/gnome-netstatus-2.12.0/src/netstatus-iface.c:1199:  if ((fd = socket (AF_INET, SOCK_DGRAM, 0)) < 0)

Comment 1 Mark McLoughlin 2006-07-20 13:37:15 UTC
This might be a good starting point:

  http://bugzilla.gnome.org/show_bug.cgi?id=138390

Comment 2 Tim Reilly 2006-08-10 19:04:06 UTC
It's important to note that the lack of ipv6 support also seems to break the
dropdown list when configuring gnome-netstatus on machines with both addresses.
See this bug:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=138072

Comment 3 Bug Zapper 2008-05-14 02:12:18 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Admin XMLRPC Client 2009-02-09 18:38:22 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Bug Zapper 2009-06-09 09:09:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-04-27 11:40:01 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 10:22:37 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.